Retrieve tasks
Fetch tasks assigned to a customer during an active journey. If you’re unsure how tasks work, the retrieve tasks guide can help.
POST
/
journey
/
task
/
list
Retrieve tasks
curl --request POST \
--url https://eu.platform.go.gbgplc.com/captain/api/journey/task/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT"
}
'import requests
url = "https://eu.platform.go.gbgplc.com/captain/api/journey/task/list"
payload = { "instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instanceId: 'PiIuACmx8Q8R7qPnAkLAqBAT'})
};
fetch('https://eu.platform.go.gbgplc.com/captain/api/journey/task/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "InProgress",
"instanceId": "<string>",
"tasks": [
{
"taskId": "TkoviRO58Q8R7qPnAkLAqBAT",
"variantId": "age_verification_all_ssn_dob_required"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique identifier for the journey instance.
Example:
"PiIuACmx8Q8R7qPnAkLAqBAT"
Was this page helpful?
Previous
Retrieve tasks with their schemaFetch all currently active tasks along with their corresponding JSON schema. This allows you to see the expected input fields for each task in a single API call.
Next
⌘I
Retrieve tasks
